#
# spec file for package ez-ipupdate (Version 3.0.11b8)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ez-ipupdate
Summary:      A small utility for updating dynamic DNS service
Version:      3.0.11b8
Release:      128
License:      GPL
Group:        Productivity/Networking/DNS/Utilities
Source0:      %{name}-%{version}.tar.bz2
Source1:      ez-ipupdate.init
Source2:      ez-ipupdate.example.conf
Patch:        ez-ipupdate.example.conf.patch
Patch1:       ez-ipupdate-3.0.11b8-include.diff
Patch2:       ez-ipupdate-format-string-vuln.patch
URL:          http://www.gusnet.cx/proj/ez-ipupdate/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreq:        On

%description
ez-ipupdate is a small utility for updating your host name for any of
the dynamic DNS service offered at:

* http://www.ez-ip.net

* http://www.justlinux.com

* http://www.dhs.org

* http://www.dyndns.org

* http://www.ods.org

* http://gnudip.cheapnet.net (GNUDip)

* http://www.dyn.ca (GNUDip)

* http://www.tzo.com

* http://www.easydns.com

* http://www.dyns.cx

* http://www.hn.org

* http://www.zoneedit.com



Authors:
--------
    Angus Mackay

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1

%build
find -name "example*" | xargs -n 1 sed -i "s@/usr/local/bin/@/usr/bin/@"
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                       --prefix=%{_prefix} \
                       --sysconfdir=%{_sysconfdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 -d $RPM_BUILD_ROOT%{_localstatedir}/lib/ez-ipupdate/
install -m 600 %{S:2} $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate.conf
install -m 755 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/ez-ipupdate
install -d $RPM_BUILD_ROOT%{_sbindir}
ln -sf /etc/init.d/ez-ipupdate $RPM_BUILD_ROOT%{_sbindir}/rcez-ipupdate

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README INSTALL CHANGELOG COPYING example*
%{_bindir}/ez-ipupdate
%{_sbindir}/rcez-ipupdate
%config(noreplace) %{_sysconfdir}/ez-ipupdate.conf
%{_sysconfdir}/init.d/ez-ipupdate
%{_localstatedir}/lib/ez-ipupdate/

%changelog -n ez-ipupdate
* Tue Nov 02 2004 - hvogel@suse.de
- fix format string vulnerability (Bug #47857)
* Sat Feb 28 2004 - ro@suse.de
- fix requires for /usr/local/bin
* Sat Feb 28 2004 - ro@suse.de
- fix typo in specfile
* Tue Feb 03 2004 - mmj@suse.de
- #include <time.h> for localtime() prototype
* Thu Jan 29 2004 - hvogel@suse.de
- use bzip2 for the source package
- use correct macros for bin/sbin/var
* Mon Nov 17 2003 - hvogel@suse.de
- patch /tmp out of the example config files. (#33161)
* Thu Nov 13 2003 - hvogel@suse.de
- dont build as root
* Sun Aug 31 2003 - hvogel@suse.de
- move the link to sbin.
- mark the config file as config(noreplace)
* Sun Aug 31 2003 - hvogel@suse.de
- forgot to package rcez-ipupdate link
* Mon Jun 16 2003 - hvogel@suse.de
- Initial Package, Version 3.0.11b8
